/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ 1845:
/***/ (() => {

/* eslint-disable no-console */

/* global adguardApi */
// Init the configuration
const configuration = {
  // Adguard English filter alone
  filters: [2],
  // Adguard is disabled on www.avira.com
  whitelist: ['www.avira.com'],
  // Array of custom rules
  rules: ['example.org##h1'],
  // Filters metadata file path
  filtersMetadataUrl: 'https://filters.adtidy.org/extension/chromium/filters.json',
  // Filter file mask
  filterRulesUrl: 'https://filters.adtidy.org/extension/chromium/filters/{filter_id}.txt'
}; // Add event listener for blocked requests

const onBlocked = function (details) {
  console.log(details);
};

adguardApi.onRequestBlocked.addListener(onBlocked); // Add event listener for rules created by Adguard Assistant

chrome.runtime.onMessage.addListener(message => {
  if (message.type === 'assistant-create-rule') {
    const {
      token,
      ruleText
    } = message.data;
    const expectedToken = adguardApi.getAssistantToken(); // check for token to avoid possible vulnerabilities AG-12883
    // https://groups.google.com/a/chromium.org/g/chromium-extensions/c/0ei-UCHNm34/m/lDaXwQhzBAAJ?pli=1
    // https://bugs.chromium.org/p/chromium/issues/detail?id=982326

    if (token !== expectedToken) {
      // eslint-disable-next-line max-len
      console.error(`Tokens for message ${message} does not not match. Expected token: ${token}. Received token: ${expectedToken}`);
      return;
    }

    console.log(`Rule ${ruleText} was created by Adguard Assistant`);
    configuration.rules.push(ruleText);
    adguardApi.configure(configuration, () => {
      console.log('Finished Adguard API re-configuration');
    });
  }
});
adguardApi.start(configuration, () => {
  console.log('Finished Adguard API initialization.'); // Now we want to disable Adguard on www.google.com

  configuration.whitelist.push('www.google.com');
  adguardApi.configure(configuration, () => {
    console.log('Finished Adguard API re-configuration');
  });
}); // Disable Adguard in 1 minute

setTimeout(() => {
  adguardApi.onRequestBlocked.removeListener(onBlocked);
  adguardApi.stop(() => {
    console.log('Adguard API has been disabled.');
  });
}, 60 * 1000);

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be in strict mode.
(() => {
"use strict";
/* harmony import */ var _sample__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1845);
/* harmony import */ var _sample__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_sample__WEBPACK_IMPORTED_MODULE_0__);

})();

/******/ })()
;